libcmml: Data Fields

Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:

### - _ -

- _CMML_Element_Type : cmml.h
- _CMML_Error_Type : cmml.h
- _CMML_Time_Type : cmml.h

### - b -

- BUFSIZE : cmml-validate.c , cmml-timeshift.c , cmml-fortune.c , cmml-fix.c

### - c -

- CMML : cmml.h
- CMML_CLIP : cmml.h
- cmml_clip_clone() : cmml.h
- cmml_clip_destroy() : cmml.h
- cmml_clip_new() : cmml.h
- cmml_clip_pretty_snprint() : cmml.h
- cmml_clip_snprint() : cmml.h
- CMML_CloneFunc : cmml.h
- cmml_close() : cmml.h
- CMML_CMML : cmml.h
- CMML_CmpFunc : cmml.h
- cmml_destroy() : cmml.h
- CMML_DUPLICATE_HEAD : cmml.h
- CMML_DUPLICATE_STREAM : cmml.h
- cmml_element_clone() : cmml.h
- cmml_element_destroy() : cmml.h
- cmml_element_new() : cmml.h
- cmml_element_snprint() : cmml.h
- CMML_Element_Type : cmml.h
- CMML_EOF : cmml.h
- cmml_error_clear() : cmml.h
- cmml_error_destroy() : cmml.h
- cmml_error_new() : cmml.h
- cmml_error_snprint() : cmml.h
- CMML_Error_Type : cmml.h
- CMML_EXPAT_ERROR : cmml.h
- CMML_FORMAT_ERROR : cmml.h
- CMML_FreeFunc : cmml.h
- cmml_get_last_clip() : cmml.h
- cmml_get_last_error() : cmml.h
- cmml_get_last_head() : cmml.h
- cmml_get_last_stream() : cmml.h
- cmml_get_preamble() : cmml.h
- cmml_get_previous_clip() : cmml.h
- CMML_HEAD : cmml.h
- CMML_HEAD_AFTER_CLIP : cmml.h
- cmml_head_clone() : cmml.h
- cmml_head_destroy() : cmml.h
- cmml_head_new() : cmml.h
- cmml_head_pretty_snprint() : cmml.h
- cmml_head_snprint() : cmml.h
- CMML_IMPORT : cmml.h
- CMML_List : cmml.h
- cmml_list_add_after() : cmml.h
- cmml_list_add_before() : cmml.h
- cmml_list_append() : cmml.h
- cmml_list_clone() : cmml.h
- cmml_list_clone_with() : cmml.h
- cmml_list_find() : cmml.h
- cmml_list_free() : cmml.h
- cmml_list_free_with() : cmml.h
- cmml_list_is_empty() : cmml.h
- cmml_list_is_singleton() : cmml.h
- cmml_list_length() : cmml.h
- cmml_list_new() : cmml.h
- cmml_list_prepend() : cmml.h
- cmml_list_remove() : cmml.h
- cmml_list_tail() : cmml.h
- CMML_MALLOC_ERROR : cmml.h
- cmml_new() : cmml.h
- CMML_NO_CMML_TAG : cmml.h
- CMML_NO_HEAD_TAG : cmml.h
- CMML_NONE : cmml.h
- CMML_NONSEQUENTIAL_CLIP : cmml.h
- cmml_npt_snprint() : cmml.h
- CMML_OK : cmml.h
- cmml_open() : cmml.h
- CMML_PARSE_ERROR : cmml.h
- cmml_preamble_clone() : cmml.h
- cmml_preamble_destroy() : cmml.h
- cmml_preamble_new() : cmml.h
- cmml_preamble_snprint() : cmml.h
- cmml_read() : cmml.h
- CMML_READ_ERROR : cmml.h
- cmml_sec_new() : cmml.h
- cmml_sec_parse() : cmml.h
- CMML_SEC_TIME : cmml.h
- cmml_set_read_callbacks() : cmml.h
- cmml_set_sloppy() : cmml.h
- cmml_set_window() : cmml.h
- cmml_skip_to_id() : cmml.h
- cmml_skip_to_offset() : cmml.h
- cmml_skip_to_secs() : cmml.h
- cmml_skip_to_utc() : cmml.h
- CMML_STREAM : cmml.h
- cmml_stream_clone() : cmml.h
- cmml_stream_destroy() : cmml.h
- cmml_stream_new() : cmml.h
- CMML_STREAM_NOT_FIRST : cmml.h
- cmml_stream_pretty_snprint() : cmml.h
- cmml_stream_snprint() : cmml.h
- CMML_TAG_IGNORED : cmml.h
- cmml_time_clone() : cmml.h
- CMML_TIME_ERROR : cmml.h
- cmml_time_free() : cmml.h
- cmml_time_interval_new() : cmml.h
- cmml_time_new() : cmml.h
- cmml_time_new_in_sec() : cmml.h
- cmml_time_new_secs() : cmml.h
- CMML_Time_Type : cmml.h
- cmml_time_utc_to_sec() : cmml.h
- CMML_UNKNOWN_TAG : cmml.h
- cmml_utc_clone() : cmml.h
- cmml_utc_diff() : cmml.h
- cmml_utc_new() : cmml.h
- cmml_utc_parse() : cmml.h
- cmml_utc_pretty_snprint() : cmml.h
- cmml_utc_snprint() : cmml.h
- CMML_UTC_TIME : cmml.h
- CMML_XMLNS_REDEFINED : cmml.h
- CMMLReadClip : cmml.h
- CMMLReadHead : cmml.h
- CMMLReadStream : cmml.h

### - d -

- DEFAULT_DURATION : cmml-fortune.c
- DEFAULT_ENCODING : cmml-fortune.c
- DEFAULT_LONG_COMMAND : cmml-fortune.c
- DEFAULT_SHORT_COMMAND : cmml-fortune.c

### - g -

- get_fortune() : cmml-fortune.c

### - m -

- main() : cmml-validate.c , cmml-timeshift.c , cmml-fortune.c , cmml-fix.c

### - o -

- outfile : cmml-fix.c , cmml-timeshift.c

### - p -

- PrintUsage() : cmml-validate.c , cmml-timeshift.c , cmml-fortune.c , cmml-fix.c

### - r -

- read_clip() : cmml-validate.c , cmml-fix.c , cmml-timeshift.c
- read_head() : cmml-validate.c , cmml-fix.c , cmml-timeshift.c
- read_stream() : cmml-timeshift.c , cmml-validate.c , cmml-fix.c

### - s -

- secs : cmml-timeshift.c

### - v -

- verbose : cmml-validate.c